Bug 1575072 (CVE-2018-10685) - CVE-2018-10685 lrzip: use after free in lzma_decompress_buf function of stream.c
Summary: CVE-2018-10685 lrzip: use after free in lzma_decompress_buf function of stream.c
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-10685
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1575073 1575074
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 17:06 UTC by Laura Pardo
Modified: 2019-09-29 14:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:21:15 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-05-04 17:06:07 UTC
A flaw was found in Long Range Zip (aka lrzip) 0.631, there is a use-after-free in the lzma_decompress_buf function of stream.c, which allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact.


References:
https://github.com/ckolivas/lrzip/issues/95

Comment 1 Laura Pardo 2018-05-04 17:06:38 UTC
Created lrzip tracking bugs for this issue:

Affects: epel-all [bug 1575073]
Affects: fedora-26 [bug 1575074]

Comment 2 Product Security DevOps Team 2019-06-10 10:21:15 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.